#include "PreCompiledHeaders.hh"
#include "Lib/Uuid.hh"
#include "Lib/Log.hh"

Vivy::Uuid::Uuid()
    : QUuid(QUuid::createUuid())
{
}

Vivy::LogMessage &
Vivy::operator<<(Vivy::LogMessage &msg, Vivy::Uuid uuid) noexcept
{
    return msg << "UUID{ " << uuid.toString() << " }";
}
