use core::{f32::consts::PI as PI_32, f64::consts::PI as PI_64};

#[inline]
pub fn f64_randians_clamp(rad: f64) -> f64 {
    rad % (2.0 * PI_64)
}

#[inline]
pub fn f64_degres_clamp(rad: f64) -> f64 {
    rad % 360.0
}

#[inline]
pub fn f32_randians_clamp(rad: f32) -> f32 {
    rad % (2.0 * PI_32)
}

#[inline]
pub fn f32_degres_clamp(rad: f32) -> f32 {
    rad % 360.0
}
