#pragma once

#ifndef __cplusplus
#error "This is a C++ header"
#endif

#include "PreCompiledHeaders.hh"
#include "Lib/Utils.hh"

namespace Vivy
{
class MpvContainer;

class VideoView final : public QWidget {
    Q_OBJECT
    VIVY_UNMOVABLE_OBJECT(VideoView)

    MpvContainer *mpv{ nullptr };

public:
    explicit VideoView(QWidget *parent) noexcept;

public slots:
    void loadFile(const QString &) noexcept;
    void forceStopPlayback() noexcept;
};
}
